Users / Profile

Create a schedule

POST/users/me/schedules

Register a schedule. When linked to an event, overlapping meeting slots for that event become unavailable.

AuthLogin required

Request body

eventIdstringoptional

Event ID to link the schedule to.

startAtstringrequired

Start date and time (ISO 8601).

endAtstringrequired

End date and time (ISO 8601). Must be after startAt.

descriptionstringoptional

Description. Visible only to the owner.

Response

FieldTypeDescription
scheduleScheduleThe created schedule.
Request
curl https://api.4s.link/users/me/schedules \
-X POST \
-H "Authorization: Bearer 4s_at_..." \
-H "Content-Type: application/json" \
-d '{
"eventId": "ev1a2b3c-...",
"startAt": "2026-06-01T03:00:00.000Z",
"endAt": "2026-06-01T04:00:00.000Z",
"description": "打ち合わせ"
}'
Example response
{
"schedule": {
"id": "sc1a2b3c-...",
"startAt": "2026-06-01T03:00:00.000Z",
"endAt": "2026-06-01T04:00:00.000Z",
"description": "打ち合わせ"
}
}